unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
* [PATCH] build: add "set -e" to version script generation
@ 2015-07-27 18:42 David Bremner
  2015-07-27 19:36 ` Tomi Ollila
  0 siblings, 1 reply; 3+ messages in thread
From: David Bremner @ 2015-07-27 18:42 UTC (permalink / raw)
  To: notmuch

It turns out that on certain systems like FreeBSD, c++filt is not
installed by default. It's basically OK if we fail the build in that
case, but what's really not OK is for the build to continue and
generate bad binaries.
---
 lib/gen-version-script.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lib/gen-version-script.sh b/lib/gen-version-script.sh
index 64a7374..aa1ca43 100644
--- a/lib/gen-version-script.sh
+++ b/lib/gen-version-script.sh
@@ -1,3 +1,4 @@
+set -e
 
 # we go through a bit of work to get the unmangled names of the
 # typeinfo symbols because of
-- 
2.1.4

^ permalink raw reply related	[flat|nested] 3+ messages in thread

* Re: [PATCH] build: add "set -e" to version script generation
  2015-07-27 18:42 [PATCH] build: add "set -e" to version script generation David Bremner
@ 2015-07-27 19:36 ` Tomi Ollila
  2015-07-28 19:41   ` David Bremner
  0 siblings, 1 reply; 3+ messages in thread
From: Tomi Ollila @ 2015-07-27 19:36 UTC (permalink / raw)
  To: David Bremner, notmuch

On Mon, Jul 27 2015, David Bremner <david@tethera.net> wrote:

> It turns out that on certain systems like FreeBSD, c++filt is not
> installed by default. It's basically OK if we fail the build in that
> case, but what's really not OK is for the build to continue and
> generate bad binaries.
> ---
>  lib/gen-version-script.sh | 1 +
>  1 file changed, 1 insertion(+)
>
> diff --git a/lib/gen-version-script.sh b/lib/gen-version-script.sh
> index 64a7374..aa1ca43 100644
> --- a/lib/gen-version-script.sh
> +++ b/lib/gen-version-script.sh
> @@ -1,3 +1,4 @@
> +set -e

LGTM, although I'd prefer 'set -eu' (both visual observation and testing
with set -eux worked for me).

Tomi


>  
>  # we go through a bit of work to get the unmangled names of the
>  # typeinfo symbols because of
> -- 
> 2.1.4
>
> _______________________________________________
> notmuch mailing list
> notmuch@notmuchmail.org
> http://notmuchmail.org/mailman/listinfo/notmuch

^ permalink raw reply	[flat|nested] 3+ messages in thread

* Re: [PATCH] build: add "set -e" to version script generation
  2015-07-27 19:36 ` Tomi Ollila
@ 2015-07-28 19:41   ` David Bremner
  0 siblings, 0 replies; 3+ messages in thread
From: David Bremner @ 2015-07-28 19:41 UTC (permalink / raw)
  To: Tomi Ollila, notmuch

Tomi Ollila <tomi.ollila@iki.fi> writes:

> On Mon, Jul 27 2015, David Bremner <david@tethera.net> wrote:
>
>> It turns out that on certain systems like FreeBSD, c++filt is not
>> installed by default. It's basically OK if we fail the build in that
>> case, but what's really not OK is for the build to continue and
>> generate bad binaries.
>> ---
>>  lib/gen-version-script.sh | 1 +
>>  1 file changed, 1 insertion(+)
>>
>> diff --git a/lib/gen-version-script.sh b/lib/gen-version-script.sh
>> index 64a7374..aa1ca43 100644
>> --- a/lib/gen-version-script.sh
>> +++ b/lib/gen-version-script.sh
>> @@ -1,3 +1,4 @@
>> +set -e
>
> LGTM, although I'd prefer 'set -eu' (both visual observation and testing
> with set -eux worked for me).
>

OK, pushed with set -eu.

d

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2015-07-28 19:42 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-07-27 18:42 [PATCH] build: add "set -e" to version script generation David Bremner
2015-07-27 19:36 ` Tomi Ollila
2015-07-28 19:41   ` David Bremner

Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).